/*****************************************************************
 *      gerarDeJogadas.c
 * Invoca funcoes da geracaoDeDicionarioUtil.c a fim de gerar as 
 *    jogadas (ou regras) para todos os estados possiveis do jogo
 *    da velha.
 ******************************************************************
 * Autor: Luciano Antonio Digiampietri
 * Data : 02/07/2008 
 *****************************************************************/

#include "geracaoDeDicionarioUtil.c"

void gerarJogadasAux(JOGO * j, jogador * jog){
	gerarJogadas(*j,min,0);	
}

void imprimirTodasJogadas(){
	imprimirJogadas();
}

void jogar(JOGO * j, jogador * jog){
	int pos;
	scanf("%d",&pos);
	if (inserirJogada(j,pos,*jog)) {
		*jog=outroJogador(*jog);
	}
	else {
		printf("Nao foi possivel realizar a jogada na posicao %d.\n",pos);
		imprimirTabuleiro(*j);
	}
}

void inicializar(JOGO * j, jogador *jogAtual){
	inicializarJogo(j,j2);
	j->jogadorAtual=j2;
	*jogAtual=j2;
}

void help(){
  //printf("Comandos validos: \n");
  //printf("   b : gerarJogadas (nao joga, efetua mini max e salva resultado)\n");
  //printf("   j <posicao[0..8]> : jogar na posicao\n");
  //printf("   h : exibir esta mensagem de ajuda\n");
  //printf("   r : re-iniciar jogo\n");
  //printf("   q : encerrar programa\n");
}

int main(){
  JOGO jogo;
  inicializarJogadas();
  jogador jogadorAtual = j1;
  inicializarJogo(&jogo,jogadorAtual);
  help();
  char comando = ' ';
  scanf("%c",&comando);
  while (comando != 'q'){
    switch (comando) {
      case 'r' : inicializar(&jogo,&jogadorAtual); break;
      case 'j' : jogar(&jogo, &jogadorAtual); break;
      case 'h' : help(); break;
      case 'b' : gerarJogadasAux(&jogo, &jogadorAtual); break;
      case 'i' : imprimirTodasJogadas();
      default: {while (comando != '\n') scanf("%c",&comando);};
    } 
    scanf("%c",&comando);
  }


  return 0;
  
}

